#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Glob
Summary:	Text::Glob perl module - match globbing patterns against text
Summary(pl.UTF-8):	Moduł perla Text::Glob - dopasowywanie tekstu do wzorców
Name:		perl-Text-Glob
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d001559c504a2625dd117bd1558f07f7
URL:		http://search.cpan.org/dist/Text-Glob/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Glob implements glob(3) style matching that can be used to match
against text, rather than fetching names from a filesystem. If you
want to do full file globbing use the File::Glob module instead.

%description -l pl.UTF-8
Text::Glob jest implementacją dopasowywania w stylu glob(3), które
może być używane do dopasowywania tekstu, a nie nazw plików. Jeśli
potrzeba pełnej implementacji glob dla plików, należy użyć modułu
File::Glob zamiast tego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Text/Glob.pm
%{_mandir}/man3/Text::Glob.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-Glob.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 79b6112
- up to 0.11

* Mon Nov 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 6622df5
- updated to 0.10

* Fri Mar 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 31a7040
- updated to 0.09

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> aa96fa2
- generic URL

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 4c73b3c
- up to 0.08

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1376e5b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ced944b
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 5937c1f
- ver. 0.07

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8ce34d6
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 1cf0b72
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 6435819
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> b6361f1
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> 8bb9fe1
- license fixes, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 14a188c
- new bconds

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> 5c5f514
- updated to 0.06

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 8a91005
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 0653c19
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> e0e2e5a
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 0461def
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> d447304
- BR: perl-devel; do not BR: perl

